summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSeemant Kulleen <seemant@gentoo.org>2002-08-15 08:23:01 +0000
committerSeemant Kulleen <seemant@gentoo.org>2002-08-15 08:23:01 +0000
commite2331c216744cca4e9f8bd134a8b24baec81b48f (patch)
treeead2aa39a48007e37feebab03fda19a1cf3d2cac /eclass/aspell-dict.eclass
parentdifferent name -- better versioning scheme (diff)
downloadhistorical-e2331c216744cca4e9f8bd134a8b24baec81b48f.tar.gz
historical-e2331c216744cca4e9f8bd134a8b24baec81b48f.tar.bz2
historical-e2331c216744cca4e9f8bd134a8b24baec81b48f.zip
eclass for aspell dictionaries
Diffstat (limited to 'eclass/aspell-dict.eclass')
-rw-r--r--eclass/aspell-dict.eclass39
1 files changed, 39 insertions, 0 deletions
diff --git a/eclass/aspell-dict.eclass b/eclass/aspell-dict.eclass
new file mode 100644
index 000000000000..e5dd3f6c8d45
--- /dev/null
+++ b/eclass/aspell-dict.eclass
@@ -0,0 +1,39 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author: Seemant Kulleen <seemant@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/eclass/aspell-dict.eclass,v 1.1 2002/08/15 08:23:01 seemant Exp $
+
+# The aspell-dict eclass is designed to streamline the construction of
+# ebuilds for the new aspell dictionaries (from gnu.org) which support
+# aspell-0.50
+
+ECLASS=aspell-dict
+INHERITED="${INHERITED} ${ECLASS}"
+
+EXPORT_FUNCTIONS src_compile src_install
+
+MY_P=${PN}-${PV%.*.*}-${PV#*.*.}
+S=${WORKDIR}/${MY_P}
+DESCRIPTION="${ASPELL_LANG} dictionary for aspell"
+HOMEPAGE="http://www.gnu.org/projects/aspell/index.html"
+SRC_URI="http://savannah.gnu.org/download/aspell/dicts/${MY_P}.tar.bz2"
+
+DEPEND="=app-text/aspell-0.50*"
+
+SLOT="0"
+LICENSE="as-is"
+KEYWORDS="x86"
+
+aspell-dict_src_compile() {
+ ./configure || die
+ emake || die
+}
+
+aspell-dict_src_install() {
+
+ make \
+ DESTDIR=${D} \
+ install || die
+
+ dodoc Copyright README info
+}